<?php
/**
 *
 * Copyright © Magento, Inc. All rights reserved.
 * See COPYING.txt for license details.
 */
namespace TrainingJsUnit4\SkeletonPiratesForm\Controller\Adminhtml\Grid;

use Magento\Backend\App\Action;
use TrainingJsUnit4\PiratesForm\Model\PirateFactory;

class Delete extends Action
{
    protected $model;

    public function __construct(
        Action\Context $context,
        PirateFactory $model
    )
    {
        $this->model = $model;
        parent::__construct($context);
    }

    /**
     * @return $this
     */
    public function execute()
    {
        /** @var \Magento\Backend\Model\View\Result\Redirect $resultRedirect */
        $resultRedirect = $this->resultRedirectFactory->create();
        $id = $this->getRequest()->getParam('pirate_id');
        if ($id) {
            try {
                $model = $this->model->create();
                $model->load($id)->delete();

                $this->messageManager->addSuccess(__('You deleted the entity.'));
                return $resultRedirect->setPath('*/*/');
            } catch (\Exception $e) {
                $this->messageManager->addError($e->getMessage());
                return $resultRedirect->setPath('*/*/edit', ['pirate_id' => $id]);
            }
        }

        $this->messageManager->addError(__('We can\'t find an entity to delete.'));

        return $resultRedirect->setPath('*/*/');
    }
}
