<?php
namespace TrainingJsUnit4\SkeletonPiratesForm\Controller\Adminhtml\Grid;

class Edit extends \Magento\Backend\App\Action
{
    /**
     * @var \Magento\Framework\View\Result\PageFactory
     */
    protected $resultPageFactory;

    /**
     * @var \Magento\Framework\Registry
     */
    protected $coreRegistry;

    protected $pirateModel;

    public function __construct(
        \Magento\Backend\App\Action\Context $context,
        \Magento\Framework\Registry $coreRegistry,
        \Magento\Framework\View\Result\PageFactory $resultPageFactory,
        \TrainingJsUnit4\PiratesForm\Model\Pirate $pirateModel
    ) {
        $this->coreRegistry = $coreRegistry;
        $this->resultPageFactory = $resultPageFactory;
        $this->pirateModel = $pirateModel;
        parent::__construct($context);
    }

    /**
     * @return $this|\Magento\Backend\Model\View\Result\Page
     */
    public function execute()
    {
        $id = $this->getRequest()->getParam('pirate_id');
        $entity = $this->pirateModel;

        if ($entity->getPirateId()) {
            $entity->save();

            if (!$entity->getPirateId()) {
                $this->messageManager->addError(__('No longer exists.'));
                /** @var \Magento\Backend\Model\View\Result\Redirect $resultRedirect */
                $resultRedirect = $this->resultRedirectFactory->create();
                return $resultRedirect->setPath('*/*/');
            }
        }

        $this->coreRegistry->register('pirates', $entity);

        /** @var \Magento\Backend\Model\View\Result\Page $resultPage */
        $resultPage = $this->resultPageFactory->create();

        $resultPage->getConfig()
            ->getTitle()
            ->prepend($entity->getPirateId() ? __('Edit Pirate') : __('New Pirate'));
        return $resultPage;
    }
}
