<?php
/**
 *
 * Copyright © Magento, Inc. All rights reserved.
 * See COPYING.txt for license details.
 */
namespace TrainingJsUnit4\SkeletonPiratesForm\Controller\Adminhtml\Grid;

use Magento\Backend\App\Action;
use Magento\Framework\View\Result\PageFactory;

class Index extends Action
{
    /**
     * @var PageFactory
     */
    protected $pageFactory;

    /**
     * Index constructor.
     * @param Action\Context $context
     * @param PageFactory $pageFactory
     */
    public function __construct(
        Action\Context $context,
        PageFactory $pageFactory
    )
    {
        $this->pageFactory = $pageFactory;
        parent::__construct($context);
    }

    /**
     * @return bool
     */
    protected function _isAllowed()
    {
        return $this->_authorization->isAllowed('TrainingJsUnit4_PiratesForm::pirates_form');
    }

    /**
     * @return \Magento\Framework\View\Result\Page
     */
    public function execute()
    {
        $result = $this->pageFactory->create();

        $result->setActiveMenu('TrainingJsUnit4_PiratesForm::pirates_form')
            ->addBreadcrumb(__('Pirates'), __('Pirates'))
            ->getConfig()->getTitle()->prepend(__('Pirates'));

        return $result;
    }
}