<?php
/**
 *
 * Copyright © 2017 Magento. All rights reserved.
 * See COPYING.txt for license details.
 */
namespace TrainingJsUnit4\PiratesForm\Setup;

use Magento\Framework\Setup\InstallDataInterface;
use Magento\Framework\Setup\ModuleDataSetupInterface;
use Magento\Framework\Setup\ModuleContextInterface;

class InstallData implements InstallDataInterface
{
    /**
     * @param ModuleDataSetupInterface $setup
     * @param ModuleContextInterface $context
     */
    public function install(ModuleDataSetupInterface $setup, ModuleContextInterface $context)
    {
        if (version_compare($context->getVersion(), '0.0.1')) {
            $data = array(
                array
                (
                    'name'      => 'Jack',
                    'last_name' => 'Sparrow',
                    'title'     => 'Captain',
                    'picture'   => 'images/pirates/jack_sparrow.jpg'
                ),
                array
                (
                    'name'      => 'Hector',
                    'last_name' => 'Barbossa',
                    'title'     => 'Captain',
                    'picture'   => 'images/pirates/hector_barbossa.jpg'
                ),
                array
                (
                    'name'      => 'Joshamee',
                    'last_name' => 'Gibs',
                    'title'     => 'First Mate Captain',
                    'picture'   => 'images/pirates/joshamee_gibs.jpg'
                ),
            );
            foreach ($data as $bind) {
                $setup->getConnection()->insertForce($setup->getTable('pirates'), $bind);
            }
        }
    }
}