<?php

namespace TrainingJsUnit4\PiratesForm\Setup;

use Magento\Framework\Setup\UpgradeSchemaInterface;
use Magento\Framework\Setup\ModuleContextInterface;
use Magento\Framework\Setup\SchemaSetupInterface;
use Magento\Framework\DB\Ddl\Table as DdlTable;

/**
 * @codeCoverageIgnore
 */
class UpgradeSchema implements UpgradeSchemaInterface
{
    /**
     * {@inheritdoc}
     */
    public function upgrade(SchemaSetupInterface $setup, ModuleContextInterface $context)
    {
        if (version_compare($context->getVersion(), '0.0.2') < 0) {
            $installer = $setup;
            $installer->startSetup();

            $table = $installer->getConnection()
                ->newTable($installer->getTable('episodes'))
                ->addColumn(
                    'episode_id',
                    DdlTable::TYPE_SMALLINT,
                    null,
                    ['identity' => true, 'unsigned' => true, 'nullable' => false, 'primary' => true],
                    'Episode ID'
                )->addColumn(
                    'pirate_id',
                    DdlTable::TYPE_SMALLINT,
                    null,
                    ['nullable' => false, 'unsigned' => true],
                    'Pirate ID'
                )->addColumn(
                    'pirate_name',
                    DdlTable::TYPE_TEXT,
                    255,
                    ['nullable' => false],
                    'Pirate Name'
                )->addColumn(
                    'number',
                    DdlTable::TYPE_INTEGER,
                    null,
                    ['nullable' => false, 'unsigned' => true],
                    'Number of Episode'
                )->addForeignKey(
                    $installer->getFkName(
                        'episodes',
                        'pirate_id',
                        'pirates',
                        'pirate_id'
                    ),
                    'pirate_id',
                    $installer->getTable('pirates'),
                    'pirate_id',
                    DdlTable::ACTION_CASCADE
                );

            $installer->getConnection()->createTable($table);
            $installer->endSetup();
        }
    }
}
